org.jboss.resteasy.examples

## Class OrdersApplication

- java.lang.Object
- - javax.ws.rs.core.Application
  - - org.jboss.resteasy.examples.OrdersApplication

-     public class OrdersApplication
      extends Application

  Author:
    Weinan Li

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OrdersApplication()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<Class<?>>` | `getClasses()` Get a set of root resource, provider and `feature` classes.
    `Set<Object>` | `getSingletons()` Get a set of root resource, provider and `feature` instances.

    - ### Methods inherited from class javax.ws.rs.core.Application

      `getProperties`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OrdersApplication

          public OrdersApplication()

  - ### Method Detail

    - #### getClasses

          public Set<Class<?>> getClasses()

      Description copied from class: `Application`
      Get a set of root resource, provider and `feature` classes. The default life-cycle for resource class instances is per-request. The default life-cycle for providers (registered directly or via a feature) is singleton.

      Implementations should warn about and ignore classes that do not conform to the requirements of root resource or provider/feature classes. Implementations should warn about and ignore classes for which `Application.getSingletons()` returns an instance. Implementations MUST NOT modify the returned set.

      The default implementation returns an empty set.

      Overrides:
        `getClasses` in class `Application`
      Returns:
        a set of root resource and provider classes. Returning `null` is equivalent to returning an empty set.

    - #### getSingletons

          public Set<Object> getSingletons()

      Description copied from class: `Application`
      Get a set of root resource, provider and `feature` instances. Fields and properties of returned instances are injected with their declared dependencies (see `Context`) by the runtime prior to use.

      Implementations should warn about and ignore classes that do not conform to the requirements of root resource or provider classes. Implementations should flag an error if the returned set includes more than one instance of the same class. Implementations MUST NOT modify the returned set.

      The default implementation returns an empty set.

      Overrides:
        `getSingletons` in class `Application`
      Returns:
        a set of root resource and provider instances. Returning `null` is equivalent to returning an empty set.

Copyright © 2014. All Rights Reserved.